Summary:        Software watchdog
Name:           watchdog
Version:        5.15
Release:        %mkrel 3
Group:          System/Kernel and hardware
License:        GPLv2+ & QPL
URL:            https://sourceforge.net/projects/watchdog/
Source0:        https://downloads.sourceforge.net/watchdog/%{name}-%{version}.tar.gz
Source4:        watchdog.service
# Upstream patches since 5.15.
Patch1:       0001-Include-linux-param.h-for-EXEC_PAGESIZE-definition.patch
Patch2:       0002-Generalize-and-make-watchdog-refresh-settimeout-work.patch
Patch3:       0003-Ignore-build-products-in-GIT.patch
Patch4:       0004-Compile-with-musl-when-nfs-is-disabled.patch
Patch5:       0005-Rename-READ_ENUM-to-READ_YESNO.patch
Patch6:       0006-Make-IT87-fix-up-automatic-by-default.patch
Patch7:       0007-Synced-Debian-files-with-5.15-2.patch
Patch8:       0008-Fix-automated-CentOS-7-build.patch
Patch9:       0009-Bugfix-against-watchdog-configuration-file-corruptio.patch
# Fixes building on glibc without RPC.  Sent upstream 2019-02-06.
Patch10:      0010-Choose-libtirpc-or-another-RPC-library-for-XDR-heade.patch
Requires:       kernel
BuildRequires:  kernel-headers
BuildRequires:  glibc-devel
BuildRequires:  pkgconfig(libtirpc)

%description
Watchdog monitors various aspects of a machine to ensure that is has not
locked up.  In the event that a machine has locked up, watchdog will envoke
a reboot of the system.

%prep
%autosetup -p1
autoreconf -i

%build
%configure \
    CFLAGS="%{__global_cflags} -I/usr/include/tirpc" \
    LDFLAGS="%{__global_ldflags} -ltirpc"
%make_build

mv README README.orig
iconv -f ISO-8859-1 -t UTF-8 < README.orig > README

%install
install -d -m0755 %{buildroot}%{_sysconfdir}
%make_install
install -Dp -m0644 redhat/sysconf.redhat %{buildroot}%{_sysconfdir}/sysconfig/watchdog
install -Dp -m0755 redhat/watchdog.init %{buildroot}%{_initrddir}/watchdog
install -Dp -m0644 %{SOURCE4} %{buildroot}/lib/systemd/system/watchdog.service

%check
make check

%post
%_post_service watchdog

%preun
%_preun_service watchdog

%files
%doc AUTHORS ChangeLog NEWS README TODO README.watchdog.ipmi examples/
%attr(0755,root,root) %{_sbindir}/watchdog
%attr(0755,root,root) %{_sbindir}/wd_keepalive
%attr(0755,root,root) %{_sbindir}/wd_identify
%attr(0755,root,root) %{_initrddir}/watchdog
%{_mandir}/man5/watchdog.conf.5*
%{_mandir}/man8/watchdog.8*
%{_mandir}/man8/wd_keepalive.8*
%{_mandir}/man8/wd_identify.8*
%config(noreplace) %{_sysconfdir}/watchdog.conf
%config(noreplace) %{_sysconfdir}/sysconfig/watchdog
/lib/systemd/system/watchdog.service


%changelog
* Thu Nov 26 2020 tv <tv> 5.15-3.mga8
+ Revision: 1649518
- fix building with libtirpc
+ danf <danf>
- Switch URLs from http: to https:

* Tue Feb 11 2020 umeabot <umeabot> 5.15-2.mga8
+ Revision: 1489242
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Sep 15 2018 daviddavid <daviddavid> 5.15-1.mga7
+ Revision: 1259070
- new version: 5.15
- enable libtirpc support

* Thu Feb 04 2016 umeabot <umeabot> 5.13-5.mga6
+ Revision: 936152
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 5.13-4.mga5
+ Revision: 740850
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.13-3.mga5
+ Revision: 690275
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 5.13-2.mga4
+ Revision: 526626
- Mageia 4 Mass Rebuild

* Thu Jun 06 2013 dams <dams> 5.13-1.mga4
+ Revision: 438375
- new version 5.13

* Mon Jan 14 2013 umeabot <umeabot> 5.12-2.mga3
+ Revision: 385640
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 ennael <ennael> 5.12-1.mga3
+ Revision: 343654
- new version 5.12

* Sat Apr 28 2012 tmb <tmb> 5.9-2.mga2
+ Revision: 233894
- Require rpm-helper >= 0.24.8-1 for systemd support

* Tue Oct 25 2011 dmorgan <dmorgan> 5.9-1.mga2
+ Revision: 157965
- New version 5.9
  Remove merged patch
  Add systemd support

* Mon Oct 24 2011 dmorgan <dmorgan> 5.7-2.mga2
+ Revision: 157663
- Remove old rpm stuffs
+ ennael <ennael>
- add missing buildrequire
- clean spec file
- imported package watchdog

